Bug 512318 - xrandr --output LVDS --off does not turn off the display
xrandr --output LVDS --off does not turn off the display
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server-utils (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-17 06:02 EDT by Daniel Berrange
Modified: 2009-12-22 13:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 05:51:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg.0.log after running xrandr (155.39 KB, text/plain)
2009-07-17 06:03 EDT, Daniel Berrange
no flags Details
Host dmesg logs (46.66 KB, text/plain)
2009-07-17 06:04 EDT, Daniel Berrange
no flags Details
lspci -vv -n output (25.02 KB, text/plain)
2009-07-17 06:05 EDT, Daniel Berrange
no flags Details
xorg.conf file in use (370 bytes, text/plain)
2009-09-27 15:37 EDT, zimon
no flags Details
xorg log file (47.38 KB, text/plain)
2009-09-27 15:38 EDT, zimon
no flags Details

  None (edit)
Description Daniel Berrange 2009-07-17 06:02:02 EDT
Description of problem:
I have a ThinkPad t60p  with ATI Technologies Inc M56GL [Mobility FireGL V5200. I have it attached to a SamSung SynMaster 2243nw external monitor

In the past I could run

# xrandr --output VGA-0 --auto
# xrandr --output LVDS --off

And get the native external monitor resolution, and the laptop panel disabled.

With current F11 updates, the first command works, the second has no effect at all. It is impossible to turn the laptop LVDS display off at all. In addition, after running '--output VGA-0 --auto', the LVDS display is now resized to something that looks to be about 1280x1024, even though xrandr still claims it is 1600x1200 (LVDS native). This is really fubar :-(

$ xrandr 
Screen 0: minimum 320 x 200, current 1680 x 1050, maximum 8192 x 8192
VGA-0 connected 1680x1050+0+0 (normal left inverted right x axis y axis) 459mm x 296mm
   1680x1050      59.9*+
   1280x1024      75.0  
   1152x864       75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
   0x0             0.0  
LVDS connected (normal left inverted right x axis y axis)
   1600x1200      60.0 +   50.0  
   1400x1050      60.0  
   1280x1024      60.0  
   1280x960       60.0  
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        60.0     59.9  
   0x0             0.0  
DVI-0 disconnected (normal left inverted right x axis y axis)

NB, LVDS is definitely *NOT* showing 1600x1200 at this time

I'm filing against 'xorg-server-utils' since xrandr is where I'm seeing the problem, but I guess it may well be a kernel or xorg-drv-ati bug really.
Will attach output of X.0.log, and dmesg, and lspci


Version-Release number of selected component (if applicable):
$ rpm -q xorg-x11-server-Xorg
xorg-x11-server-Xorg-1.6.1.901-1.fc11.i586
$ rpm -q xorg-x11-drv-ati
xorg-x11-drv-ati-6.12.2-14.fc11.i586
$ rpm -q kernel
kernel-2.6.29.4-167.fc11.i586
kernel-2.6.29.5-191.fc11.i586
$ uname -r
2.6.29.5-191.fc11.i686.PAE


How reproducible:
Reasonably frequently, perhaps 80% of the time.

Steps to Reproduce:
1. xrandr --output VGA-0 --auto
2. xrandr --output LVDS --off
3.
  
Actual results:
VGA-0 displays native resolution
LVDS is still on, displaying some bogus resolution

Expected results:
VGA-0 displays native resolution
LVDS is turned off

Additional info:
Comment 1 Daniel Berrange 2009-07-17 06:03:49 EDT
Created attachment 354124 [details]
Xorg.0.log after running xrandr

NB, I do *not* have any /etc/X11/xorg.conf file present.  The kernel is booted with 'rhgb', kernel mode setting is active.
Comment 2 Daniel Berrange 2009-07-17 06:04:31 EDT
Created attachment 354125 [details]
Host dmesg logs
Comment 3 Daniel Berrange 2009-07-17 06:05:18 EDT
Created attachment 354126 [details]
lspci -vv -n  output
Comment 4 zimon 2009-09-27 15:36:00 EDT
I have the same problem with LVDS and DVI-0.

My laptop is Fujitsu Amilo A1667.
The internal LVDS is 1280x800, and the external TFT monitor conntected is 1280x1024. I would want to use only the external monitor at home.

(My LVM-filesystem is crypted.)
When the machine boots, it goes to GRUB prompt which I have set to wait 120 seconds just that I have enough time to go to another room where the laptop is located (and keeping noise) and press Fn+F7 to switch output to the external monitor. LVDS goes off, TMDS on, and everything is OK. I press ENTER to boot Fedora 11.

When system asks LVM-password, it shows the prompt in external monitor. After I give it, external monitor goes blank and neither monitor shows anything.
It boots to init level 5, starts X, but external (TMDS) monitor stays blank.
I have to give login password blindly. After few secs, if the password for the default user was OK, external monitor goes ON to 1280x1024, and I can use the system.

The problem is, the internal LVDS-monitor is ON also, but flickering with wrong resolution. (I am afraid it will broke eventually some hardware.)

GNOME-Panel's Display_preferences-applet shows the 15" LVDS would be "off" and 17" TMDS "on".

# xrandr --output LVDS --off --output DVI-0 --auto
...does not help. LVDS stays ON and is flickering wildly.

Switching to VT2 (Alt+F2) and doing Fn+F7 there does not do anything either.
TMDS is "on", text mode console visible, internal LVDS is flickering showing nothing.

Relevant packages, i think:
xorg-x11-drivers-7.3-11.fc11.x86_64
xorg-x11-drv-ati-6.12.2-14.fc11.x86_64
xorg-x11-server-utils-7.4-7.1.fc11.x86_64

I used to have no xorg.conf, but I even tried then with this minimal xorg.conf which is attached. Also the relevant Xorg.2.log is attached.
Comment 5 zimon 2009-09-27 15:37:50 EDT
Created attachment 362826 [details]
xorg.conf file in use 

I would want LVDS (1280x800) to stay off, and external TMDS (DVI-0) to be on and 1280x1024
Comment 6 zimon 2009-09-27 15:38:56 EDT
Created attachment 362827 [details]
xorg log file

The xorg log file, which do show LVDS would be set OFF, but it is not.
Comment 7 zimon 2009-10-09 14:12:06 EDT
I installed resapplet-0.1.1-8.fc11.x86_64 and started it.
It shows 1280x1024 @60 Hz. 

Just for a fun of it, I tried to change to 75 Hz. The external TMDS monitor cannot show it good, so I clicked "Keep the old settings"-button.
I was curious, and went to look laptop's internal LVDS then. It was black! 

Seems like resapplet when changing to 75 Hz for a moment somehow fixes the settings. LVDS maybe sees it totally cannot support 75 Hz, and switches off, and even when returned to 60 Hz the LVDS stays off, or then resapplet somehow goes around the bug and can make the correct device io-calls which xrandr and other software currently cannot.

The system log got these:
Oct  9 20:51:49 frog kernel: [drm] LVDS-8: set mode 1280x800 1f
Oct  9 20:55:15 frog kernel: [drm] TMDS-9: set mode  26

Now LVDS (1280x800) seems to be off, and TMDS 1280x1024@60Hz is working like I want to use this system at home.

# xrandr 
Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 4096 x 4096
DVI-0 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 338mm x 270mm
   1280x1024      60.0*+   75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
   0x0             0.0  
LVDS connected (normal left inverted right x axis y axis)
   1280x800       60.0 +
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  

# xrandr --verbose
Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 4096 x 4096
DVI-0 connected 1280x1024+0+0 (0x4d) normal (normal left inverted right x axis y axis) 338mm x 270mm
	Identifier: 0x4b
	Timestamp:  510440458
	Subpixel:   horizontal rgb
	Clones:    
	CRTC:       0
	CRTCs:      0 1
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	EDID_DATA:
		00ffffffffffff004c2de50037315344
		250e010380221b782a6f8ba25a4d9424
		1a5156bfef0081800101010101010101
		010101010101302a009851002a403070
		1300520e1100001e000000fd00384b1e
		510e000a202020202020000000fc0053
		796e634d61737465720a2020000000ff
		00485348583930303736370a202000d4
  1280x1024 (0x4d)  108.0MHz +HSync +VSync *current +preferred
        h: width  1280 start 1328 end 1440 total 1688 skew    0 clock   64.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   60.0Hz
  1280x1024 (0x4e)  135.0MHz +HSync +VSync
        h: width  1280 start 1296 end 1440 total 1688 skew    0 clock   80.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   75.0Hz
  1024x768 (0x4f)   78.8MHz +HSync +VSync
        h: width  1024 start 1040 end 1136 total 1312 skew    0 clock   60.1KHz
        v: height  768 start  769 end  772 total  800           clock   75.1Hz
  1024x768 (0x50)   75.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1328 skew    0 clock   56.5KHz
        v: height  768 start  771 end  777 total  806           clock   70.1Hz
  1024x768 (0x51)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  832x624 (0x52)   57.3MHz -HSync -VSync
        h: width   832 start  864 end  928 total 1152 skew    0 clock   49.7KHz
        v: height  624 start  625 end  628 total  667           clock   74.6Hz
  800x600 (0x53)   50.0MHz +HSync +VSync
        h: width   800 start  856 end  976 total 1040 skew    0 clock   48.1KHz
        v: height  600 start  637 end  643 total  666           clock   72.2Hz
  800x600 (0x54)   49.5MHz +HSync +VSync
        h: width   800 start  816 end  896 total 1056 skew    0 clock   46.9KHz
        v: height  600 start  601 end  604 total  625           clock   75.0Hz
  800x600 (0x55)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  800x600 (0x56)   36.0MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock   35.2KHz
        v: height  600 start  601 end  603 total  625           clock   56.2Hz
  640x480 (0x57)   31.5MHz -HSync -VSync
        h: width   640 start  664 end  704 total  832 skew    0 clock   37.9KHz
        v: height  480 start  489 end  491 total  520           clock   72.8Hz
  640x480 (0x58)   31.5MHz -HSync -VSync
        h: width   640 start  656 end  720 total  840 skew    0 clock   37.5KHz
        v: height  480 start  481 end  484 total  500           clock   75.0Hz
  640x480 (0x59)   30.2MHz -HSync -VSync
        h: width   640 start  704 end  768 total  864 skew    0 clock   35.0KHz
        v: height  480 start  483 end  486 total  525           clock   66.7Hz
  640x480 (0x5a)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   60.0Hz
  720x400 (0x5b)   28.3MHz -HSync +VSync
        h: width   720 start  738 end  846 total  900 skew    0 clock   31.5KHz
        v: height  400 start  412 end  414 total  449           clock   70.1Hz
  0x0 (0x5c)    0.0MHz
        h: width     0 start    0 end    0 total    0 skew    0 clock    0.0KHz
        v: height    0 start    0 end    0 total    0           clock    0.0Hz
LVDS connected (normal left inverted right x axis y axis)
	Identifier: 0x4c
	Timestamp:  510440458
	Subpixel:   horizontal rgb
	Clones:    
	CRTCs:      0 1
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	EDID_DATA:
		00ffffffffffff004493350000000000
		000f0103802115780a4dc7935c518827
		21525400000001010101010101010101
		010101010101ea1a0080502010301520
		44004bcf100000180000000f0008002a
		0001000400324a041901000000fe0051
		55414e5441444953504c4159000000fe
		0051443135544c3033340a202020008e
  1280x800 (0x5d)   68.9MHz -HSync -VSync +preferred
        h: width  1280 start 1301 end 1333 total 1408 skew    0 clock   48.9KHz
        v: height  800 start  804 end  808 total  816           clock   60.0Hz
  1024x768 (0x51)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x55)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  800x600 (0x56)   36.0MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock   35.2KHz
        v: height  600 start  601 end  603 total  625           clock   56.2Hz
  640x480 (0x5e)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   59.9Hz
Comment 8 zimon 2009-10-09 14:24:03 EDT
Another test, which made it broken again:

I switched to VT2, which goes to console/text-mode. LVDS's backlight was lid again but it is flickering and nothing is seen on that monitor. When changed back to VT1 where the X is, the LVDS stays ON also.

System log got this:
Oct  9 21:13:40 frog kernel: [drm] LVDS-8: set mode 1280x800 1f

and xrandr shows now this:
# xrandr 
Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 4096 x 4096
DVI-0 connected 1280x1024+0+0 (normal left inverted right x axis y axis) 338mm x 270mm
   1280x1024      60.0*+   75.0  
   1024x768       75.1     70.1     60.0  
   832x624        74.6  
   800x600        72.2     75.0     60.3     56.2  
   640x480        72.8     75.0     66.7     60.0  
   720x400        70.1  
   0x0             0.0  
LVDS connected (normal left inverted right x axis y axis)
   1280x800       60.0 +
   1024x768       60.0  
   800x600        60.3     56.2  
   640x480        59.9  

# xrandr --verbose
Screen 0: minimum 320 x 200, current 1280 x 1024, maximum 4096 x 4096
DVI-0 connected 1280x1024+0+0 (0x4d) normal (normal left inverted right x axis y axis) 338mm x 270mm
	Identifier: 0x4b
	Timestamp:  510440458
	Subpixel:   horizontal rgb
	Clones:    
	CRTC:       0
	CRTCs:      0 1
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	EDID_DATA:
		00ffffffffffff004c2de50037315344
		250e010380221b782a6f8ba25a4d9424
		1a5156bfef0081800101010101010101
		010101010101302a009851002a403070
		1300520e1100001e000000fd00384b1e
		510e000a202020202020000000fc0053
		796e634d61737465720a2020000000ff
		00485348583930303736370a202000d4
  1280x1024 (0x4d)  108.0MHz +HSync +VSync *current +preferred
        h: width  1280 start 1328 end 1440 total 1688 skew    0 clock   64.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   60.0Hz
  1280x1024 (0x4e)  135.0MHz +HSync +VSync
        h: width  1280 start 1296 end 1440 total 1688 skew    0 clock   80.0KHz
        v: height 1024 start 1025 end 1028 total 1066           clock   75.0Hz
  1024x768 (0x4f)   78.8MHz +HSync +VSync
        h: width  1024 start 1040 end 1136 total 1312 skew    0 clock   60.1KHz
        v: height  768 start  769 end  772 total  800           clock   75.1Hz
  1024x768 (0x50)   75.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1328 skew    0 clock   56.5KHz
        v: height  768 start  771 end  777 total  806           clock   70.1Hz
  1024x768 (0x51)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  832x624 (0x52)   57.3MHz -HSync -VSync
        h: width   832 start  864 end  928 total 1152 skew    0 clock   49.7KHz
        v: height  624 start  625 end  628 total  667           clock   74.6Hz
  800x600 (0x53)   50.0MHz +HSync +VSync
        h: width   800 start  856 end  976 total 1040 skew    0 clock   48.1KHz
        v: height  600 start  637 end  643 total  666           clock   72.2Hz
  800x600 (0x54)   49.5MHz +HSync +VSync
        h: width   800 start  816 end  896 total 1056 skew    0 clock   46.9KHz
        v: height  600 start  601 end  604 total  625           clock   75.0Hz
  800x600 (0x55)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  800x600 (0x56)   36.0MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock   35.2KHz
        v: height  600 start  601 end  603 total  625           clock   56.2Hz
  640x480 (0x57)   31.5MHz -HSync -VSync
        h: width   640 start  664 end  704 total  832 skew    0 clock   37.9KHz
        v: height  480 start  489 end  491 total  520           clock   72.8Hz
  640x480 (0x58)   31.5MHz -HSync -VSync
        h: width   640 start  656 end  720 total  840 skew    0 clock   37.5KHz
        v: height  480 start  481 end  484 total  500           clock   75.0Hz
  640x480 (0x59)   30.2MHz -HSync -VSync
        h: width   640 start  704 end  768 total  864 skew    0 clock   35.0KHz
        v: height  480 start  483 end  486 total  525           clock   66.7Hz
  640x480 (0x5a)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   60.0Hz
  720x400 (0x5b)   28.3MHz -HSync +VSync
        h: width   720 start  738 end  846 total  900 skew    0 clock   31.5KHz
        v: height  400 start  412 end  414 total  449           clock   70.1Hz
  0x0 (0x5c)    0.0MHz
        h: width     0 start    0 end    0 total    0 skew    0 clock    0.0KHz
        v: height    0 start    0 end    0 total    0           clock    0.0Hz
LVDS connected (normal left inverted right x axis y axis)
	Identifier: 0x4c
	Timestamp:  510440458
	Subpixel:   horizontal rgb
	Clones:    
	CRTCs:      0 1
	Transform:  1.000000 0.000000 0.000000
	            0.000000 1.000000 0.000000
	            0.000000 0.000000 1.000000
	           filter: 
	EDID_DATA:
		00ffffffffffff004493350000000000
		000f0103802115780a4dc7935c518827
		21525400000001010101010101010101
		010101010101ea1a0080502010301520
		44004bcf100000180000000f0008002a
		0001000400324a041901000000fe0051
		55414e5441444953504c4159000000fe
		0051443135544c3033340a202020008e
  1280x800 (0x5d)   68.9MHz -HSync -VSync +preferred
        h: width  1280 start 1301 end 1333 total 1408 skew    0 clock   48.9KHz
        v: height  800 start  804 end  808 total  816           clock   60.0Hz
  1024x768 (0x51)   65.0MHz -HSync -VSync
        h: width  1024 start 1048 end 1184 total 1344 skew    0 clock   48.4KHz
        v: height  768 start  771 end  777 total  806           clock   60.0Hz
  800x600 (0x55)   40.0MHz +HSync +VSync
        h: width   800 start  840 end  968 total 1056 skew    0 clock   37.9KHz
        v: height  600 start  601 end  605 total  628           clock   60.3Hz
  800x600 (0x56)   36.0MHz +HSync +VSync
        h: width   800 start  824 end  896 total 1024 skew    0 clock   35.2KHz
        v: height  600 start  601 end  603 total  625           clock   56.2Hz
  640x480 (0x5e)   25.2MHz -HSync -VSync
        h: width   640 start  656 end  752 total  800 skew    0 clock   31.5KHz
        v: height  480 start  490 end  492 total  525           clock   59.9Hz

##########################################################################
Then I run resapplet again and switch to 75 Hz for a moment:

# resapplet 
Oct  9 21:21:13 frog kernel: [drm] TMDS-9: set mode  28
Oct  9 21:21:16 frog kernel: [drm] TMDS-9: set mode  29

Now everything _seems_ ok again. LVDS is OFF (at least the backlight), and TMDS is ON.

When comparing xrandr --verbose outputs, only difference is this:
# diff xrandr_when_broken.txt xrandr_when_ok.txt 
4c4
< 	Timestamp:  510440458
---
> 	Timestamp:  512001155
72c72
< 	Timestamp:  510440458
---
> 	Timestamp:  512001155
Comment 9 Matěj Cepl 2009-11-05 13:35:10 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 10 Daniel Berrange 2009-11-19 05:51:03 EST
I cannot test the original F11 install, however, on current F12 this does now work correctly again.
Comment 11 zimon 2009-12-22 13:56:11 EST
Well, tried to upgrade from F11 to F12 with preupgrade.
Preupgrade-thing went fine until it asked to reboot the machine.

I rebooted and it started anaconda upgrade installation (I guess) in graphics mode. Neither monitor was able to show anything.

I don't know if this is related to this bug, but I think so.

I powered off the machine and rebooted, this time quickly pressing space bar so GRUB won't go trying upgrading again.  (Trying now to do the upgrade in text mode by adding "text" into /boot/upgrade/ks.cfg )

Note You need to log in before you can comment on or make changes to this bug.